/*
*  Copyright 2021 by the author. It is protected by applicable copyright laws. This program does not
*  give you or anybody else a right or licence to distribute, modify, copy, compile, create derivatives.
*/

#ifndef HASHTREE_H
#define HASHTREE_H
#include "globalFunc.h"
#include "Term.h"
#include "dataTypeDef.h"
#include "HashNode.h"
class HashTree {
public:
    HashTree();
    HashTree(const HashTree& orig);
    virtual ~HashTree();
    static long BKDRHash(const Term* termPtrt);
    static Term* InsertHashTree(Term* term, set<HashNode*, HashNodeCmpByCode>& hashTree);
    static UINT32 findTermCountHashTree(Term* termPtr, set<HashNode*, HashNodeCmpByCode>& hashTree);
    static void PrintHashTree(set<HashNode*, HashNodeCmpByCode>& hashTree) {
        printf("\n");
    };
private:

};

#endif /* HASHTREE_H */

